#include <stdio.h>

signed char *sbrk(size_t);

//const size_t _sbrk_size=          /* Specifies the minimum unit of */
                                    /* the defined heap area         */
#define HEAPSIZE 2
#pragma pack 2
static union {
    signed short  dummy;                  /* Dummy for 2-byte boundary */
    signed char   heap[HEAPSIZE];         /* Declaration of the area managed by sbrk */
} heap_area;
#pragma unpack

static signed char *brk=(signed char *)&heap_area;  /* End address of area assigned by sbrk */

/*****************************************************************************/
/*    sbrk: Data write                                                       */
/*           Return value: Start address of the assigned area (Pass)         */
/*                         -1                                 (Failure)      */
/*****************************************************************************/
extern signed char *sbrk(size_t size)                /* Assigned area size */
{
    signed char  *p;
    if(brk+size > heap_area.heap+HEAPSIZE){     /* Empty area size */
        p = (signed char *)-1;
    }
    else {
        p = brk;                                /* Area assignment */
        brk += size;                            /* End address update */
    }

    return p;
}
