/******************************************************************************
* DISCLAIMER:
* The software supplied by Renesas Technology Europe Ltd is
* intended and supplied for use on Renesas Technology products.
* This software is owned by Renesas Technology Europe, Ltd. Or
* Renesas Technology Corporation and is protected under applicable
* copyright laws. All rights are reserved.
*
* THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTIES, WHETHER EXPRESS,
* IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO IMPLIED
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
* APPLY TO THIS SOFTWARE. RENESAS TECHNOLOGY AMERICA, INC. AND
* AND RENESAS TECHNOLOGY CORPORATION RESERVE THE RIGHT, WITHOUT
* NOTICE, TO MAKE CHANGES TO THIS SOFTWARE. NEITHER RENESAS
* TECHNOLOGY AMERICA, INC. NOR RENESAS TECHNOLOGY CORPORATION SHALL,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
* CONSEQUENTIAL DAMAGES FOR ANY REASON WHATSOEVER ARISING OUT OF THE
* USE OR APPLICATION OF THIS SOFTWARE.
******************************************************************************/

/* Copyright (C) 2009. Renesas Technology Europe, All Rights Reserved */

/*FILE COMMENT******************************* Technical reference data ****
* File Name		: dbsct.c
* Version 		: 1.00
* Device 		: H8S/2456R (R4F24569VFQV)
* Tool Chain 	: HEW, Hitachi H8S, H8/300 Standard Tool chain v6.2
* H/W Platform	: RSK2H8S2456R
* Description 	: Provides the required pointers for use by _INITSCT() function.
******************************************************************************/

/******************************************************************************
* History 		: 17.06.2009 Ver. 1.00 First Release
*FILE COMMENT END*********************************************************/

/******************************************************************************
User Program Code
******************************************************************************/

/******************************************************************************
Compiler Directives
******************************************************************************/
/* '#pragma section' instructs the linker to place all subsequent code in 
    the named section. This can be used to relocate code in the memory map. 
	Use of the directive without the section name will reset the section
	to default. */

#pragma section $DSEC
static const struct {
	/* Start address of the initialized data section in ROM */
	unsigned char *rom_s;       
	/* End address of the initialized data section in ROM   */
	unsigned char *rom_e;       
	/* Start address of the initialized data section in RAM */
	unsigned char *ram_s;       
} DTBL[]= {
	{__sectop("D"), __secend("D"), __sectop("R")},
};

#pragma section $BSEC
static const struct {
	/* Start address of non-initialized data section */
	unsigned char *b_s;         
	/* End address of non-initialized data section */
	unsigned char *b_e;         
} BTBL[]= {
	{__sectop("B"), __secend("B")},
};
