/******************************************************************************
* DISCLAIMER:
* The software supplied by Renesas Technology Europe Ltd is
* intended and supplied for use on Renesas Technology products.
* This software is owned by Renesas Technology Europe, Ltd. Or
* Renesas Technology Corporation and is protected under applicable
* copyright laws. All rights are reserved.
*
* THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTIES, WHETHER EXPRESS,
* IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO IMPLIED
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
* APPLY TO THIS SOFTWARE. RENESAS TECHNOLOGY AMERICA, INC. AND
* AND RENESAS TECHNOLOGY CORPORATION RESERVE THE RIGHT, WITHOUT
* NOTICE, TO MAKE CHANGES TO THIS SOFTWARE. NEITHER RENESAS
* TECHNOLOGY AMERICA, INC. NOR RENESAS TECHNOLOGY CORPORATION SHALL,
* IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
* CONSEQUENTIAL DAMAGES FOR ANY REASON WHATSOEVER ARISING OUT OF THE
* USE OR APPLICATION OF THIS SOFTWARE.
******************************************************************************/

/* Copyright (C) 2009. Renesas Technology Europe, All Rights Reserved */

/*FILE COMMENT******************************* Technical reference data ****
* File Name		: intprg.c
* Version 		: 1.00
* Device 		: H8S/2456R (R4F24569VFQV)
* Tool Chain 	: HEW, Hitachi H8S, H8/300 Standard Toolchain v6.2
* H/W Platform	: RSK2H8S2456R
* Description 	: Interrupt vector declarations for the H8S/2456R CPU.
******************************************************************************/
               
/******************************************************************************
* History 		: 17.06.2009 Ver. 1.00 First Release
*FILE COMMENT END*********************************************************/
			      
/***********************************************************************************
Interrupt vector declarations
***********************************************************************************/

/***********************************************************************************
Compiler Directives
***********************************************************************************/
/* '#pragma section' instructs the linker to place all subsequent code in the named
section. This can be used to relocate code in the memory map. Use of the directive
without the section name will reset the section to default */

#pragma section IntPRG

/* Note: The keyword '__interrupt' specifies that, the function following this 
  keyword is an interrupt handler. The interrupt vector number is specified as 
  'vect' as used below.
  Alternatively, '#pragma interrupt' directive can also be used for the same 
  purpose. */

/*	Manual Reset Vector */
__interrupt(vect=1) void Manual_Reset(void) { /* sleep(); */ }

/* vector 2 Reserved */ 

/* vector 3 Reserved */ 

/* vector 4 Illegal instruction */ 
__interrupt(vect=4) void INT_ILLEGAL(void) { /* sleep(); */ }

/* vector 5 TRACE */
__interrupt(vect=5) void INT_TRACE(void) {/* sleep(); */}

/* vector 6 Reserved */

/* vector 7 NMI */
__interrupt(vect=7) void INT_NMI(void) {/* sleep(); */}

/* vector 8 trap #0 */
__interrupt(vect=8) void INT_TRAP0(void) {/* sleep(); */}

/* vector 9 trap #1 */
__interrupt(vect=9) void INT_TRAP1(void) {/* sleep(); */}

/* vector 10 trap #2 */
__interrupt(vect=10) void INT_TRAP2(void) {/* sleep(); */}

/* vector 11 trap #3 */
__interrupt(vect=11) void INT_TRAP3(void) {/* sleep(); */}

/* vector 12 Reserved */ 

/* vector 13 Reserved */ 

/* vector 14 Reserved */ 

/* vector 15 Reserved */ 

/* vector 16 External trap IRQ0 */
__interrupt(vect=16) void INT_IRQ0(void) {/* sleep(); */}

/* vector 17 External trap IRQ1 */
/*__interrupt(vect=17) void INT_IRQ1(void) { sleep(); } */

/* vector 18 External trap IRQ2 */
/*__interrupt(vect=18) void INT_IRQ2(void) { sleep(); } */

/* vector 19 External trap IRQ3 */
__interrupt(vect=19) void INT_IRQ3(void) {/* sleep(); */}

/* vector 20 External trap IRQ4 */
__interrupt(vect=20) void INT_IRQ4(void) {/* sleep(); */}

/* vector 21 External trap IRQ5 */
__interrupt(vect=21) void INT_IRQ5(void) {/* sleep(); */}

/* vector 22 External trap IRQ6 */
__interrupt(vect=22) void INT_IRQ6(void) {/* sleep(); */}

/* vector 23 External trap IRQ7 */
__interrupt(vect=23) void INT_IRQ7(void) {/* sleep(); */}

/* vector 24 External trap IRQ8 */
__interrupt(vect=24) void INT_IRQ8(void) {/* sleep(); */}

/* vector 25 External trap IRQ9 */
/* __interrupt(vect=25) void INT_IRQ9(void) { sleep(); } */

/* vector 26 External trap IRQ10 */
__interrupt(vect=26) void INT_IRQ10(void) {/* sleep(); */}

/* vector 27 External trap IRQ11 */
__interrupt(vect=27) void INT_IRQ11(void) {/* sleep(); */}

/* vector 28 External trap IRQ12 */
__interrupt(vect=28) void INT_IRQ12(void) {/* sleep(); */}

/* vector 29 External trap IRQ13 */ 
__interrupt(vect=29) void INT_IRQ13(void) {/* sleep(); */}

/* vector 30 External trap IRQ14 */ 
__interrupt(vect=30) void INT_IRQ14(void) {/* sleep(); */}

/* vector 31 External trap IRQ15 */
__interrupt(vect=31) void INT_IRQ15(void) {/* sleep(); */}
 
/* vector 32 DTC */
__interrupt(vect=32) void INT_SWDTEND_DTC(void) {/* sleep(); */}

/* vector 33 WDT */
__interrupt(vect=33) void INT_WDT(void) {/* sleep(); */} 

/* vector 34 Reserved */

/* vector 35 CMI (Refresh controller) */
__interrupt(vect=35) void INT_CMI(void) {/* sleep(); */}

/* vector 36 Reserved */

/* vector 37 Reserved */ 

/* vector 38 A/D_0 */ 
__interrupt(vect=38) void INT_ADI(void) {/* sleep(); */}

/* vector 39 Reserved */ 

/* vector 40 TGI0A TPU0  */
//__interrupt(vect=40) void INT_TGI0A_TPU0(void) { sleep(); }

/* vector 41 TGI0B TPU0 */
__interrupt(vect=41) void INT_TGI0B_TPU0(void) {/* sleep(); */} 

/* vector 42 TGI0C TPU0 */
__interrupt(vect=42) void INT_TGI0C_TPU0(void) {/* sleep(); */}

/* vector 43 TGI0D TPU0 */
__interrupt(vect=43) void INT_TGI0D_TPU0(void) {/* sleep(); */}

/* vector 44 TCI0V TPU0 */
__interrupt(vect=44) void INT_TCI0V_TPU0(void) {/* sleep(); */}

/* vector 45 Reserved */

/* vector 46 Reserved */

/* vector 47 Reserved */

/* vector 48 TGI1A TPU1  */
__interrupt(vect=48) void INT_TGI1A_TPU1(void) {/* sleep(); */}

/* vector 49 TGI1B TPU1 */
__interrupt(vect=49) void INT_TGI1B_TPU1(void) {/* sleep(); */}

/* vector 50 TCI1V TPU1 */
__interrupt(vect=50) void INT_TCI1V_TPU1(void) {/* sleep(); */}

/* vector 51 TCI1U TPU1 */
__interrupt(vect=51) void INT_TCI1U_TPU1(void) {/* sleep(); */}

/* vector 52 TGI2A TPU2  */
__interrupt(vect=52) void INT_TGI2A_TPU2(void) {/* sleep(); */}

/* vector 53 TGI2B TPU2 */
__interrupt(vect=53) void INT_TGI2B_TPU2(void) {/* sleep(); */}

/* vector 54 TCI2V TPU2 */
__interrupt(vect=54) void INT_TCI2V_TPU2(void) {/* sleep(); */}

/* vector 55 TCI2U TPU2 */
__interrupt(vect=55) void INT_TCI2U_TPU2(void) {/* sleep(); */}

/* vector 56 TGI3A TPU3 */
__interrupt(vect=56) void INT_TGI3A_TPU3(void) {/* sleep(); */} 

/* vector 57 TGI3B TPU3 */
__interrupt(vect=57) void INT_TGI3B_TPU3(void) {/* sleep(); */}

/* vector 58 TGI3C TPU3 */
__interrupt(vect=58) void INT_TGI3C_TPU3(void) {/* sleep(); */}

/* vector 59 TGI3D TPU3 */
__interrupt(vect=59) void INT_TGI3D_TPU3(void) {/* sleep(); */}

/* vector 60 TCI3V TPU3 */
__interrupt(vect=60) void INT_TCI3V_TPU3(void) {/* sleep(); */}

/* vector 61 Reserved */ 

/* vector 62 Reserved */ 

/* vector 63 Reserved */ 

/* vector 64 TGI4A TPU4  */
__interrupt(vect=64) void INT_TGI4A_TPU4(void) {/* sleep(); */}

/* vector 65 TGI4B TPU4 */
__interrupt(vect=65) void INT_TGI4B_TPU4(void) {/* sleep(); */}

/* vector 66 TCI4V TPU4 */
__interrupt(vect=66) void INT_TCI4V_TPU4(void) {/* sleep(); */}

/* vector 67 TCI4U TPU4 */
__interrupt(vect=67) void INT_TCI4U_TPU4(void) {/* sleep(); */}

/* vector 68 TGI5A TPU5  */
__interrupt(vect=68) void INT_TGI5A_TPU5(void) {/* sleep(); */}

/* vector 69 TGI5B TPU5 */
__interrupt(vect=69) void INT_TGI5B_TPU5(void) {/* sleep(); */}

/* vector 70 TCI5V TPU5 */
__interrupt(vect=70) void INT_TCI5V_TPU5(void) {/* sleep(); */}

/* vector 71 TCI5U TPU5 */
__interrupt(vect=71) void INT_TCI5U_TPU5(void) {/* sleep(); */}

/* vector 72 CMIA0 TMR_0 */
__interrupt(vect=72) void INT_CMIA0_TMR_0(void) {/* sleep(); */}

/* vector 73 CMIB0 TMR_0 */
__interrupt(vect=73) void INT_CMIB0_TMR_0(void) {/* sleep(); */}

/* vector 74 OVI0 TMR_0 */
__interrupt(vect=74) void INT_OVI0_TMR_0(void) {/* sleep(); */}

/* vector 75 Reserved */

/* vector 76 CMIA1 TMR_1 */
__interrupt(vect=76) void INT_CMIA1_TMR_1(void) {/* sleep(); */}

/* vector 77 CMIB1 TMR_1 */
__interrupt(vect=77) void INT_CMIB1_TMR_1(void) {/* sleep(); */}

/* vector 78 OVI1 TMR_1 */
__interrupt(vect=78) void INT_OVI0_TMR_1(void) {/* sleep(); */}

/* vector 79 Reserved */

/* vector 80 DMTEND0A DMAC */
__interrupt(vect=80) void INT_DMTEND0A_DMAC(void) {/* sleep(); */}

/* vector 81 DMTEND0B DMAC */
__interrupt(vect=81) void INT_DMTEND0B_DMAC(void) {/* sleep(); */}

/* vector 82 DMTEND1A DMAC */
__interrupt(vect=82) void INT_DMTEND1A_DMAC(void) {/* sleep(); */}

/* vector 83 DMTEND1B DMAC */
__interrupt(vect=83) void INT_DMTEND1B_DMAC(void) {/* sleep(); */}

/* vector 84 Reserved */

/* vector 85 Reserved */

/* vector 86 EXDMTEND2 EXDMAC */
__interrupt(vect=86) void INT_EXDMTEND2_DMAC(void) {/* sleep(); */}

/* vector 87 EXDMTEND3 EXDMAC */
__interrupt(vect=87) void INT_EXDMTEND3_DMAC(void) {/* sleep(); */}

/* vector 88 ERI0 SCI_0 */
__interrupt(vect=88) void INT_ERI0_SCI_0(void) {/* sleep(); */}

/* vector 89 RXI0 SCI_0 */
__interrupt(vect=89) void INT_RXI0_SCI_0(void) {/* sleep(); */}

/* vector 90 TXI0 SCI_0 */
__interrupt(vect=90) void INT_TXI0_SCI_0(void) {/* sleep(); */}

/* vector 91 TEI0 SCI_0 */
__interrupt(vect=91) void INT_TEI0_SCI_0(void) {/* sleep(); */}

/* vector 92 ERI1 SCI_1 */
//__interrupt(vect=92) void INT_ERI1_SCI_1(void) {/* sleep(); */}

/* vector 93 RXI1 SCI_1 */
//__interrupt(vect=93) void INT_RXI1_SCI_1(void) {/* sleep(); */}

/* vector 94 TXI1_SCI_1 */
//__interrupt(vect=94) void INT_TXI1_SCI_1(void) {/* sleep(); */}

/* vector 95 TEI1 SCI_1 */
__interrupt(vect=95) void INT_TEI1_SCI_1(void) {/* sleep(); */}

/* vector 96 ERI2 SCI_2 */
__interrupt(vect=96) void INT_ERI2_SCI_2(void) {/* sleep(); */}

/* vector 97 RXI2 SCI_2 */
__interrupt(vect=97) void INT_RXI2_SCI_2(void) {/* sleep(); */}

/* vector 98 TXI2 SCI_2 */
__interrupt(vect=98) void INT_TXI2_SCI_2(void) {/* sleep(); */}

/* vector 99 TEI2 SCI_2 */
__interrupt(vect=99) void INT_TEI2_SCI_2(void) {/* sleep(); */}

/* vector 100 ERI3 SCI_3 */
__interrupt(vect=100) void INT_ERI3_SCI_3(void) {/* sleep(); */}

/* vector 101 RXI3 SCI_3 */
__interrupt(vect=101) void INT_RXI3_SCI_3(void) {/* sleep(); */}

/* vector 102 TXI3_SCI_3 */
__interrupt(vect=102) void INT_TXI3_SCI_3(void) {/* sleep(); */}

/* vector 103 TEI3 SCI_3 */
__interrupt(vect=103) void INT_TEI3_SCI_3(void) {/* sleep(); */}

/* vector 104 ERI4 SCI_4 */
__interrupt(vect=104) void INT_ERI4_SCI_4(void) {/* sleep(); */}

/* vector 105 RXI4 SCI_4 */
__interrupt(vect=105) void INT_RXI4_SCI_4(void) {/* sleep(); */}

/* vector 106 TXI4_SCI_4 */
__interrupt(vect=106) void INT_TXI4_SCI_4(void) {/* sleep(); */}

/* vector 107 TEI4 SCI_4 */
__interrupt(vect=107) void INT_TEI4_SCI_4(void) {/* sleep(); */}

/* vector 108 Reserved */ 

/* vector 109 Reserved */ 

/* vector 110 Reserved */ 

/* vector 111 Reserved */ 

/* vector 112 ADI1 A/D_1 */ 
__interrupt(vect=112) void INT_ADI1_AD1(void) {/* sleep(); */}

/* vector 113 Reserved */ 

/* vector 114 Reserved */ 

/* vector 115 Reserved */ 

/* vector 116 IICI0 IIC2_0 */ 
__interrupt(vect=116) void INT_IICI0_IIC2_0(void) {/* sleep(); */}

/* vector 117 Reserved */ 

/* vector 118 IICI1 IIC2_1 */ 
__interrupt(vect=118) void INT_IICI1_IIC2_1(void) {/* sleep(); */}

/* vector 119 Reserved */ 

/* vector 120 TGI6A TPU6 */
__interrupt(vect=120) void INT_TGI6A_TPU6(void) {/* sleep(); */}

/* vector 121 TGI6B TPU6 */
__interrupt(vect=121) void INT_TGI6B_TPU6(void) {/* sleep(); */}

/* vector 122 TGI6C TPU6 */
__interrupt(vect=122) void INT_TGI6C_TPU6(void) {/* sleep(); */}

/* vector 123 TGI6D TPU6 */
__interrupt(vect=123) void INT_TGI6D_TPU6(void) {/* sleep(); */}

/* vector 124 TCI6V TPU6 */
__interrupt(vect=124) void INT_TCI6V_TPU6(void) {/* sleep(); */}

/* vector 125 TGI7A TPU7 */
__interrupt(vect=125) void INT_TGI7A_TPU7(void) {/* sleep(); */}

/* vector 126 TGI7B TPU7 */
__interrupt(vect=126) void INT_TGI7B_TPU7(void) {/* sleep(); */}

/* vector 127 TCI7V TPU7 */
__interrupt(vect=127) void INT_TCI7V_TPU7(void) {/* sleep(); */}

/* vector 128 TCI7U TPU7 */
__interrupt(vect=128) void INT_TCI7U_TPU7(void) {/* sleep(); */}

/* vector 129 TGI8A TPU8 */
__interrupt(vect=129) void INT_TCI8A_TPU8(void) {/* sleep(); */}

/* vector 130 TGI8B TPU8 */
__interrupt(vect=130) void INT_TGI8B_TPU8(void) {/* sleep(); */}

/* vector 131 TCI8V TPU7 */
__interrupt(vect=131) void INT_TCI8V_TPU7(void) {/* sleep(); */}

/* vector 132 TCI8U TPU7 */
__interrupt(vect=132) void INT_TCI8U_TPU7(void) {/* sleep(); */}

/* vector 133 TGI9A TPU9 */
__interrupt(vect=133) void INT_TGI9A_TPU9(void) {/* sleep(); */}

/* vector 134 TGI9B TPU9 */
__interrupt(vect=134) void INT_TGI9B_TPU9(void) {/* sleep(); */}

/* vector 135 TGI9C TPU9 */
__interrupt(vect=135) void INT_TGI9C_TPU9(void) {/* sleep(); */}

/* vector 136 TGI9D TPU9 */
__interrupt(vect=136) void INT_TGI9D_TPU9(void) {/* sleep(); */}

/* vector 137 TCI9V TPU9 */
__interrupt(vect=137) void INT_TCI9V_TPU9(void) {/* sleep(); */}

/* vector 138 TGI10A TPU10 */
__interrupt(vect=138) void INT_TCI10A_TPU10(void) {/* sleep(); */}

/* vector 139 TGI10B TPU10 */
__interrupt(vect=139) void INT_TGI10B_TPU10(void) {/* sleep(); */}

/* vector 140 TCI10V TPU10 */
__interrupt(vect=140) void INT_TCI10V_TPU10(void) {/* sleep(); */}

/* vector 141 TCI10U TPU10 */
__interrupt(vect=141) void INT_TCI10U_TPU10(void) {/* sleep(); */}

/* vector 142 TGI11A TPU11 */
__interrupt(vect=142) void INT_TCI11A_TPU11(void) {/* sleep(); */}

/* vector 143 TGI11B TPU11 */
__interrupt(vect=143) void INT_TGI11B_TPU11(void) {/* sleep(); */}

/* vector 144 TCI10V TPU10 */
__interrupt(vect=144) void INT_TCI11V_TPU11(void) {/* sleep(); */}

/* vector 145 TCI10U TPU10 */
__interrupt(vect=145) void INT_TCI11U_TPU11(void) {/* sleep(); */}

/* vector 146 USBINTN0 USB */
__interrupt(vect=146) void INT_USBINTN0_USB(void) {/* sleep(); */}

/* vector 147 USBINTN1 USB */
__interrupt(vect=147) void INT_USBINTN1_USB(void) {/* sleep(); */}

/* vector 148 USBINTN2 USB */
__interrupt(vect=148) void INT_USBINTN2_USB(void) {/* sleep(); */}

/* vector 149 USBINTN3 USB */
__interrupt(vect=149) void INT_USBINTN3_USB(void) {/* sleep(); */}

/* vector 150 Reserved */

/* vector 151 Reserved */

/* vector 152 RESUME USB */
__interrupt(vect=152) void INT_RESUME_USB(void) {/* sleep(); */}

/* vector 153 IICI2 IIC2_2 */
__interrupt(vect=153) void INT_IICI2_IIC2_2(void) {/* sleep(); */}

/* vector 154 IICI3 IIC2_3 */
__interrupt(vect=154) void INT_IICI3_IIC2_3(void) {/* sleep(); */}

/* vector 155 SSERI SSU */
__interrupt(vect=155) void INT_SSERI_SSU(void) {/* sleep(); */}

/* vector 156 SSRXI SSU */
__interrupt(vect=156) void INT_SSRXI_SSU(void) {/* sleep(); */}

/* vector 157 SSTXI SSU */
__interrupt(vect=157) void INT_SSTXI_SSU(void) {/* sleep(); */}

/* vector 158 Reserved */ 

/* vector 159 Reserved */ 

/* vector 160 Reserved */ 

/* vector 161 Reserved */ 

/* vector 162 Reserved */ 

/* vector 163 Reserved */ 

/* vector 164 Reserved */ 

/* vector 165 Reserved */ 

/* vector 166 Reserved */ 

/* vector 167 Reserved */ 

/* vector 168 Reserved */ 

/* vector 169 Reserved */ 

/* vector 170 Reserved */ 

/* vector 171 Reserved */ 

/* vector 172 Reserved */ 

/* vector 173 Reserved */ 

/* vector 174 Reserved */ 

/* vector 175 Reserved */ 

/* vector 176 Reserved */ 

/* vector 177 Reserved */ 

/* vector 178 Reserved */ 

/* vector 179 Reserved */ 

/* vector 180 Reserved */ 

/* vector 181 Reserved */ 

/* vector 182 Reserved */ 

/* vector 183 Reserved */ 

/* vector 184 Reserved */ 

/* vector 185 Reserved */ 

/* vector 186 Reserved */ 

/* vector 187 Reserved */ 

/* vector 188 Reserved */ 

/* vector 189 Reserved */ 

/* vector 190 Reserved */ 

/* vector 191 Reserved */ 

/* vector 192 Reserved */ 

/* vector 193 Reserved */ 

/* vector 194 Reserved */ 

/* vector 195 Reserved */ 

/* vector 196 Reserved */ 

/* vector 197 Reserved */ 

/* vector 198 Reserved */ 

/* vector 199 Reserved */ 

/* vector 200 Reserved */ 

/* vector 201 Reserved */ 

/* vector 202 Reserved */ 

/* vector 203 Reserved */ 

/* vector 204 Reserved */ 

/* vector 205 Reserved */ 

/* vector 206 Reserved */ 

/* vector 207 Reserved */ 

/* vector 208 Reserved */ 

/* vector 209 Reserved */ 

/* vector 210 Reserved */ 

/* vector 211 Reserved */ 

/* vector 212 Reserved */ 

/* vector 213 Reserved */ 

/* vector 214 Reserved */ 

/* vector 215 Reserved */ 

/* vector 216 Reserved */ 

/* vector 217 Reserved */ 

/* vector 218 Reserved */ 

/* vector 219 Reserved */ 

/* vector 220 Reserved */ 

/* vector 221 Reserved */ 

/* vector 222 Reserved */ 

/* vector 223 Reserved */ 

/* vector 224 Reserved */ 

/* vector 225 Reserved */ 

/* vector 226 Reserved */ 

/* vector 227 Reserved */ 

/* vector 228 Reserved */ 

/* vector 229 Reserved */ 

/* vector 230 Reserved */ 

/* vector 231 Reserved */ 

/* vector 232 Reserved */ 

/* vector 233 Reserved */ 

/* vector 234 Reserved */ 

/* vector 235 Reserved */ 

/* vector 236 Reserved */ 

/* vector 237 Reserved */ 

/* vector 238 Reserved */ 

/* vector 239 Reserved */ 

/* vector 240 Reserved */ 

/* vector 241 Reserved */ 

/* vector 242 Reserved */ 

/* vector 243 Reserved */ 

/* vector 244 Reserved */ 

/* vector 245 Reserved */ 

/* vector 246 Reserved */ 

/* vector 247 Reserved */ 

/* vector 248 Reserved */ 

/* vector 249 Reserved */ 

/* vector 250 Reserved */ 

/* vector 251 Reserved */ 

/* vector 252 Reserved */ 

/* vector 253 Reserved */ 

/* vector 254 Reserved */ 

/* vector 255 Reserved */ 
