/***********************************************************************************
FILE NAME 		intprg.c
DESCRIPTION 	Interrupt Program

Copyright : 2007 Renesas Technology Europe Ltd.
Copyright : 2007 Renesas Technology Corporation.
All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
13.09.2007 RTE-MBA First Release
***********************************************************************************/

/**********************************************************************************
System Includes
***********************************************************************************/
#include <machine.h>

#pragma section IntPRG
/*  vector 2 Reserved */
/*  vector 3 Reserved */
/*  vector 4 Reserved */
/*  vector 5 Reserved */
/*  vector 6 Reserved */
/*  vector 7 NMI */
__interrupt(vect=7) void INT_NMI(void) {/* sleep(); */}
/*  vector 8 Reserved */
/*  vector 9 Reserved */
/*  vector 10 Reserved */
/*  vector 11 Reserved */
/*  vector 12 Reserved */
/*  vector 13 Reserved */
/*  vector 14 Reserved */
/*  vector 15 Reserved */
/*  vector 16 External trap IRQ0 */
__interrupt(vect=16) void INT_IRQ0(void) {/* sleep(); */}
/*  vector 17 External trap IRQ1 */
__interrupt(vect=17) void INT_IRQ1(void) {/* sleep(); */}
/*  vector 18 External trap IRQ2 */
__interrupt(vect=18) void INT_IRQ2(void) {/* sleep(); */}
/*  vector 19 External trap IRQ3 */
__interrupt(vect=19) void INT_IRQ3(void) {/* sleep(); */}
/*  vector 20 External trap IRQ4 */
__interrupt(vect=20) void INT_IRQ4(void) {/* sleep(); */}
/*  vector 21 External trap IRQ5 */
__interrupt(vect=21) void INT_IRQ5(void) {/* sleep(); */}
/*  vector 22 External trap IRQ6 */
__interrupt(vect=22) void INT_IRQ6(void) {/* sleep(); */}
/*  vector 23 External trap IRQ7 */
__interrupt(vect=23) void INT_IRQ7(void) {/* sleep(); */}
/*  vector 24 DTC */
__interrupt(vect=24) void INT_DTC(void) {/* sleep(); */}
/*  vector 25 WDT_0 */
__interrupt(vect=25) void INT_WDT_0(void) {/* sleep(); */}
/*  vector 26 WDT_1 */
__interrupt(vect=26) void INT_WDT_1(void) {/* sleep(); */}
/*  vector 27 Reserved */
/*  vector 28 ADI */
__interrupt(vect=28) void INT_ADI(void) {/* sleep(); */}
/*  vector 29 EVENTI */
__interrupt(vect=29) void INT_EVENTI(void) {/* sleep(); */}
/*  vector 30 Reserved */
/*  vector 31 Reserved */
/*  vector 32 Reserved */
/*  vector 33 Reserved */
/*  vector 34 Reserved */
/*  vector 35 Reserved */
/*  vector 36 Reserved */
/*  vector 37 Reserved */
/*  vector 38 Reserved */
/*  vector 39 Reserved */
/*  vector 40 Reserved */
/*  vector 41 Reserved */
/*  vector 42 Reserved */
/*  vector 43 Reserved */
/*  vector 44 CMIAX_TMRX */
__interrupt(vect=44) void INT_CMIAX_TMRX(void) {/* sleep(); */}
/*  vector 45 CMIBX_TMRX */
__interrupt(vect=45) void INT_CMIBX_TMRX(void) {/* sleep(); */}
/*  vector 46 OVIX_TMRX */
__interrupt(vect=46) void INT_OVIX_TMRX(void) {/* sleep(); */}
/*  vector 47 Reserved */
/*  vector 48 Reserved */
/*  vector 49 Reserved */
/*  vector 50 Reserved */
/*  vector 51 Reserved */
/*  vector 52 OCIA_FRT */
//__interrupt(vect=52) void INT_OCIA_FRT(void) { sleep(); } 
/*  vector 53 OCIB_FRT */
__interrupt(vect=53) void INT_OCIB_FRT(void) { sleep(); } 
/*  vector 54 FOVI_FRT */
__interrupt(vect=54) void INT_FOVI_FRT(void) { sleep(); }
/*  vector 55 Reserved */
/*  vector 56 IRQ8 */
__interrupt(vect=56) void INT_IRQ8(void) { sleep(); } 
/*  vector 57 IRQ9 */
__interrupt(vect=57) void INT_IRQ9(void) { sleep(); } 
/*  vector 58 IRQ10 */
__interrupt(vect=58) void INT_IRQ10(void) { sleep(); } 
/*  vector 59 IRQ11 */
__interrupt(vect=59) void INT_IRQ11(void) {sleep();} 
/*  vector 60 IRQ12 */
__interrupt(vect=60) void INT_IRQ12(void) {/* sleep(); */}
/*  vector 61 IRQ13 */
__interrupt(vect=61) void INT_IRQ13(void) {/* sleep(); */}
/*  vector 62 IRQ14 */
__interrupt(vect=62) void INT_IRQ14(void) {/* sleep(); */}
/*  vector 63 IRQ15 */
__interrupt(vect=63) void INT_IRQ15(void) {/* sleep(); */}
/*  vector 64 CMIA0_TMR0 */
#ifndef OS_TEST
__interrupt(vect=64) void INT_CMIA0_TMR0(void) {/* sleep(); */}
#endif
/*  vector 65 CMIB0_TMR0 */
__interrupt(vect=65) void INT_CMIB0_TMR0(void) {/* sleep(); */}
/*  vector 66 OVI0_TMR0 */
__interrupt(vect=66) void INT_OVI0_TMR0(void) {/* sleep(); */}
/*  vector 68 CMIA1_TMR1 */
__interrupt(vect=68) void INT_CMIA1_TMR1(void) {/* sleep(); */}
/*  vector 69 CMIB1_TMR1 */
__interrupt(vect=69) void INT_CMIB1_TMR1(void) {/* sleep(); */}
/*  vector 70 OVI1_TMR1 */
__interrupt(vect=70) void INT_OVI1_TMR1(void) {/* sleep(); */}
/*  vector 72 CMIAY_TMRY */
__interrupt(vect=72) void INT_CMIAY_TMRY(void) {/* sleep(); */}
/*  vector 73 CMIBY_TMRY */
__interrupt(vect=73) void INT_CMIBY_TMRY(void) {/* sleep(); */}
/*  vector 74 OVIY_TMRY */
__interrupt(vect=74) void INT_OVIY_TMRY(void) {/* sleep(); */}
/*  vector 75 Reserved */
/*  vector 76 IICI2 */
__interrupt(vect=76) void INT_IICI2(void) {/* sleep(); */}
/*  vector 77 Reserved */
/*  vector 78 IICI3 */
__interrupt(vect=78) void INT_IICI3(void) {/* sleep(); */}
/*  vector 79 Reserved */
/*  vector 80 ERI_SCI3 */
__interrupt(vect=80) void INT_ERI_SCI3(void) {/* sleep(); */}
/*  vector 81 RXI_SCI3 */
__interrupt(vect=81) void INT_RXI_SCI3(void) {/* sleep(); */}
/*  vector 82 TXI_SCI3 */
__interrupt(vect=82) void INT_TXI_SCI3(void) {/* sleep(); */}
/*  vector 83 TEI_SCI3 */
__interrupt(vect=83) void INT_TEI_SCI3(void) {/* sleep(); */}
/*  vector 84 ERI_SCI1 */
//__interrupt(vect=84) void INT_ERI_SCI1(void) {/* sleep(); */}
/*  vector 85 RXI_SCI1 */
//__interrupt(vect=85) void INT_RXI_SCI1(void) {/* sleep(); */}
/*  vector 86 TXI_SCI1 */
__interrupt(vect=86) void INT_TXI_SCI1(void) {/* sleep(); */}
/*  vector 87 TEI_SCI1 */
//__interrupt(vect=87) void INT_TEI_SCI1(void) {/* sleep(); */}
/*  vector 88 Reserved */
/*  vector 89 Reserved */
/*  vector 90 Reserved */
/*  vector 91 Reserved */
/*  vector 92 SCIFI */
//__interrupt(vect=92) void INT_SCIFI(void) {/*sleep();*/} 
/*  vector 93 Reserved */
/*  vector 94 IICI0 */
__interrupt(vect=94) void INT_IICI0(void) {/* sleep(); */}
/*  vector 95 Reserved */
/*  vector 96 Reserved */
/*  vector 97 Reserved */
/*  vector 98 IICI1 */
__interrupt(vect=98) void INT_IICI1(void) {/* sleep(); */}
/*  vector 99 Reserved */
/*  vector 100 IICI4 */
__interrupt(vect=100) void INT_IICI4(void) {/* sleep(); */}
/*  vector 101 Reserved */
/*  vector 102 IICI5 */
__interrupt(vect=102) void INT_IICI5(void) {/* sleep(); */}
/*  vector 103 Reserved */
/*  vector 104 ERR_LPC */
__interrupt(vect=104) void INT_ERR_LPC(void) {/* sleep(); */}
/*  vector 105 IBFI1_LPC */
__interrupt(vect=105) void INT_IBFI1_LPC(void) {/* sleep(); */}
/*  vector 106 IBFI2_LPC */
__interrupt(vect=106) void INT_IBFI2_LPC(void) {/* sleep(); */}
/*  vector 107 IBFI3_LPC */
__interrupt(vect=107) void INT_IBFI3_LPC(void) {/* sleep(); */}
/*  vector 108 PEWFCSEI_PECI */
__interrupt(vect=108) void INT_PEWFCSEI_PECI(void) {/* sleep(); */}
/*  vector 109 PERFCSEI_PECI */
__interrupt(vect=109) void INT_PERFCSEI_PECI(void) {/* sleep(); */}
/*  vector 110 PETEI_PECI */
__interrupt(vect=110) void INT_PETEI_PECI(void) {/* sleep(); */}
/*  vector 111 ERIS_SSU */
__interrupt(vect=111) void INT_ERIS_SSU(void) {/* sleep(); */}
/*  vector 112 RXIS_SSU */
__interrupt(vect=112) void INT_RXIS_SSU(void) {/* sleep(); */}
/*  vector 113 TXIS_SSU */
__interrupt(vect=113) void INT_TXIS_SSU(void) {/* sleep(); */}
/*  vector 114 RESUME_USB */
__interrupt(vect=114) void INT_RESUME_USB(void) {/* sleep(); */}
/*  vector 115 USBINT0_USB */
__interrupt(vect=115) void INT_USBINT0_USB(void) {/* sleep(); */}
/*  vector 116 USBINT2_USB */
__interrupt(vect=116) void INT_USBINT2_USB(void) {/* sleep(); */} 
/*  vector 117 USBINT3 */
__interrupt(vect=117) void INT_USBINT3_USB(void) {/* sleep(); */}
/*  vector 118 USBINT1 */
__interrupt(vect=118) void INT_USBINT1_USB(void) {/* sleep(); */}
/*  vector 119 EINT_ETHERC */
__interrupt(vect=119) void INT_EINT_ETHERC(void) {/* sleep(); */}

