/***********************************************************************************
FILE NAME 		resetprg.c
DESCRIPTION 	Reset Program

Copyright : 2007 Renesas Technology Europe Ltd.
Copyright : 2007 Renesas Technology Corporation.
All Rights Reserved
***********************************************************************************/

/***********************************************************************************
Revision History
DD.MM.YYYY OSO-UID Description
24.08.2007 RTE-MBA First Release
***********************************************************************************/

/**********************************************************************************
	System Includes
***********************************************************************************/                
#include	<machine.h>
#include	"stacksct.h"


/**********************************************************************************
User Includes
***********************************************************************************/

extern void main(void);
__entry(vect=0) void PowerON_Reset(void);

	
#pragma section ResetPRG

__entry(vect=0) void PowerON_Reset(void)
{
	/* Disable masked interrupts */
	 set_imask_ccr((unsigned char)1);
	 
	/* Configure processor pins, interrupts, etc. */
	//HardwareSetup();

	_INITSCT();
	
	/* Enable masked interrupts */
	set_imask_ccr((unsigned char)0);

	/* Go to main function */
	main();
	
	sleep();
}

